globus_i_ftp_client_handle_t Struct Reference
Globus FTP Client API » Handle Management

FTP Client handle implementation. More...

`#include <globus_i_ftp_client.h>`

## Data Fields

char | magic [24]
globus_ftp_client_handle_t * | handle
struct globus_i_ftp_client_target_s * | source
char * | source_url
struct globus_i_ftp_client_target_s * | dest
char * | dest_url
globus_i_ftp_client_operation_t | op
globus_ftp_client_complete_callback_t | callback
void * | callback_arg
globus_ftp_client_handle_state_t | state
globus_priority_q_t | stalled_blocks
globus_hashtable_t | active_blocks
int | num_active_blocks
globus_ftp_control_host_port_t * | pasv_address
int | num_pasv_addresses
globus_object_t * | err
struct globus_i_ftp_client_restart_s * | restart_info
int | notify_in_progress
globus_off_t | source_size
globus_ftp_client_restart_marker_t | restart_marker
globus_off_t | partial_offset
globus_off_t | partial_end_offset
globus_off_t | base_offset
globus_off_t | read_all_biggest_offset
globus_abstime_t * | modification_time_pointer
globus_off_t * | size_pointer
globus_i_ftp_client_features_t * | features_pointer
globus_byte_t ** | mlst_buffer_pointer
int | chmod_file_mode
char * | chgrp_group
struct tm | utime_time
globus_mutex_t | mutex
char * | checksum
globus_off_t | checksum_offset
globus_fifo_t | src_op_queue
void * | user_pointer

## Detailed Description

FTP Client handle implementation.

## Field Documentation

## active_blocks

globus_hashtable_t globus_i_ftp_client_handle_t::active_blocks

Hash of data blocks which are currently being processed by the control handle.

## base_offset

globus_off_t globus_i_ftp_client_handle_t::base_offset

Base offset for a transfer, to be added to all offsets in stream mode

## callback

globus_ftp_client_complete_callback_t globus_i_ftp_client_handle_t::callback

Callback to be called once this operation is completed.

## callback_arg

void* globus_i_ftp_client_handle_t::callback_arg

User-supplied parameter to this callback

## checksum

char* globus_i_ftp_client_handle_t::checksum

cksm pointer

## checksum_offset

globus_off_t globus_i_ftp_client_handle_t::checksum_offset

checksum parameters

## chgrp_group

char* globus_i_ftp_client_handle_t::chgrp_group

group name or ID for CHGRP

## chmod_file_mode

int globus_i_ftp_client_handle_t::chmod_file_mode

file mode for CHMOD

## dest

struct globus_i_ftp_client_target_s* globus_i_ftp_client_handle_t::dest

Information about the connection to the destination URL for a put or third-party transfer.

## dest_url

char* globus_i_ftp_client_handle_t::dest_url

destination URL

## err

globus_object_t* globus_i_ftp_client_handle_t::err

Error object to pass to the completion callback

## features_pointer

globus_i_ftp_client_features_t* globus_i_ftp_client_handle_t::features_pointer

Pointer to user's features buffer

## handle

globus_ftp_client_handle_t* globus_i_ftp_client_handle_t::handle

The user's handle pointer used to initialize this structure

## magic

char globus_i_ftp_client_handle_t::magic[24]

client handle magic number

## mlst_buffer_pointer

globus_byte_t** globus_i_ftp_client_handle_t::mlst_buffer_pointer

Pointer to user's MLST/STAT string buffer

## modification_time_pointer

globus_abstime_t* globus_i_ftp_client_handle_t::modification_time_pointer

Pointer to user's modification time buffer

## mutex

globus_mutex_t globus_i_ftp_client_handle_t::mutex

Thread safety

## notify_in_progress

int globus_i_ftp_client_handle_t::notify_in_progress

Delayed notification information.

## num_active_blocks

int globus_i_ftp_client_handle_t::num_active_blocks

Number of blocks in the active_blocks hash.

## num_pasv_addresses

int globus_i_ftp_client_handle_t::num_pasv_addresses

Number of passive addresses we know about.

## op

globus_i_ftp_client_operation_t globus_i_ftp_client_handle_t::op

Current operation on this handle

## partial_end_offset

globus_off_t globus_i_ftp_client_handle_t::partial_end_offset

Partial file transfer ending offset.

## partial_offset

globus_off_t globus_i_ftp_client_handle_t::partial_offset

Partial file transfer starting offset.

## pasv_address

globus_ftp_control_host_port_t* globus_i_ftp_client_handle_t::pasv_address

Address of PASV side of a transfer.

## read_all_biggest_offset

globus_off_t globus_i_ftp_client_handle_t::read_all_biggest_offset

Offset used to determine what length to return in a read callback in when the read_all attribute is set.

## restart_info

struct globus_i_ftp_client_restart_s* globus_i_ftp_client_handle_t::restart_info

Restart information.

## restart_marker

globus_ftp_client_restart_marker_t globus_i_ftp_client_handle_t::restart_marker

Current information about what has been transferred so far.

## size_pointer

globus_off_t* globus_i_ftp_client_handle_t::size_pointer

Pointer to user's size buffer

## source

struct globus_i_ftp_client_target_s* globus_i_ftp_client_handle_t::source

Information about the connection to the source URL for a get or third-party transfer.

## source_size

globus_off_t globus_i_ftp_client_handle_t::source_size

Size of the file to be downloaded, if known.

## source_url

char* globus_i_ftp_client_handle_t::source_url

source URL

## src_op_queue

globus_fifo_t globus_i_ftp_client_handle_t::src_op_queue

piplining operation queue

## stalled_blocks

globus_priority_q_t globus_i_ftp_client_handle_t::stalled_blocks

Priority queue of data blocks which haven't yet been sent to the FTP control library

## state

globus_ftp_client_handle_state_t globus_i_ftp_client_handle_t::state

Current state of the operation we are processing

## user_pointer

void* globus_i_ftp_client_handle_t::user_pointer

User pointer

See also
  globus_ftp_client_handle_set_user_pointer(), globus_ftp_client_handle_get_user_pointer()

## utime_time

struct tm globus_i_ftp_client_handle_t::utime_time

modification time for UTIME

The documentation for this struct was generated from the following file:

- globus_i_ftp_client.h